Package picard.sam.markduplicates.util

## Class AbstractMarkDuplicatesCommandLineProgram.SamHeaderAndIterator

- java.lang.Object
- - picard.sam.markduplicates.util.AbstractMarkDuplicatesCommandLineProgram.SamHeaderAndIterator

- Enclosing class:
    AbstractMarkDuplicatesCommandLineProgram

      public static final class AbstractMarkDuplicatesCommandLineProgram.SamHeaderAndIterator
      extends Object

  Little class used to package up a header and an iterable/iterator.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `htsjdk.samtools.SAMFileHeader` | `header` |
    `htsjdk.samtools.util.CloseableIterator<htsjdk.samtools.SAMRecord>` | `iterator` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SamHeaderAndIterator​(htsjdk.samtools.SAMFileHeader header, htsjdk.samtools.util.CloseableIterator<htsjdk.samtools.SAMRecord> iterator)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### header

          public final htsjdk.samtools.SAMFileHeader header

    - #### iterator

          public final htsjdk.samtools.util.CloseableIterator<htsjdk.samtools.SAMRecord> iterator

  - ### Constructor Detail

    - #### SamHeaderAndIterator

          public SamHeaderAndIterator​(htsjdk.samtools.SAMFileHeader header,
                                      htsjdk.samtools.util.CloseableIterator<htsjdk.samtools.SAMRecord> iterator)